Bug 165772 - read-only root filesystem reported as mounted with "rw" option
read-only root filesystem reported as mounted with "rw" option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 149000 156322
  Show dependency treegraph
 
Reported: 2005-08-11 18:39 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-484
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-08-11 18:39:17 EDT
Description of problem:

Modern versions of initscripts' rc.sysinit require the "READONLY=yes" setting
to not attempt to re-mount the root directory RW .

The "READONLY=yes" setting should be specified in /etc/sysconfig/init for
diskless clients.

Without this setting, the root "/" NFS mount will be reported as being mounted
with option "rw", even though the exporting NFS server exports it with option
"ro", and the original NFS mount specified option "ro" .  Also, attempts to
create files on the / filesystem fail with the "Permission Denied" error, not
with "Read-only file system" error as expected. (Could be an NFS buglet here!)

So system-config-netboot's mkdiskless script should write the "READONLY=yes"
setting to /etc/sysconfig/init if no READONLY setting is specified there.
 
Version-Release number of selected component (if applicable):
ALL

How reproducible:
100%

Steps to Reproduce:
Boot diskless client with from a RHEL-4 client NFS root
  
Actual results:
Root filesystem is reported as being mounted 'rw'

Expected results:
/proc/mounts should show the 'ro' option for the NFS / filesystem


Additional info:
Comment 1 Jason Vas Dias 2005-08-11 21:14:27 EDT
This is now fixed with system-config-netboot-0.1.26, available from:
  http://people.redhat.com/~jvdias/system-config-netboot
The mkdiskless script now puts the 'READONLY=yes' option in /etc/sysconfig/init
if it is not there.
Comment 3 Red Hat Bugzilla 2005-10-05 09:49:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-484.html

Note You need to log in before you can comment on or make changes to this bug.